/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.ac.RoleType");

/**
 * Interface defining predefined RoleTypes
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.ac.RoleType", null, {
    /**
     * Constant for a role type of user
     * @type {com.ibm.mashups.enabler.ac.RoleType}
     */
    USER: "USER",
    /**
    * Constant for a role type of privileged user
    * @type {com.ibm.mashups.enabler.ac.RoleType}
    */
    PRIVILEGED_USER: "PRIVILEGED USER",

    /**
     * Constant for a role type of editor
     * @type {com.ibm.mashups.enabler.ac.RoleType}
     */
    EDITOR: "EDITOR",
    /**
     * Constant for a role type of manager
     * @type {com.ibm.mashups.enabler.ac.RoleType}
     */
    MANAGER: "MANAGER",
    /**
     * Constant for a role type of administrator
     * @type {com.ibm.mashups.enabler.ac.RoleType}
     */
    ADMIN: "ADMINISTRATOR",
    /**
     * Constant for an unknown role type
     * @type {com.ibm.mashups.enabler.ac.RoleType}
     */
    UNKNOWN: "UNKNOWN"
});
com.ibm.mashups.enabler.ac.RoleType = new com.ibm.mashups.enabler.ac.RoleType();
