/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.user.VirtualType");

/**
 * Constant class defining the types of virtual Entities
 * @ibm-api
 * @ibm-module UserModel
 */
dojo.declare("com.ibm.mashups.enabler.user.VirtualType", null, {

    /**
     * Constant defining the all authenticated group
     * @type {com.ibm.mashups.enabler.user.VirtualType}
     */
    ALL_AUTHENTICATED_GROUP: "all authenticated group",
    
    /**
     * Constant defining the anonymous user
     * @type {com.ibm.mashups.enabler.user.VirtualType}
     */
    ANONYMOUS_USER: "anonymous user",
    
    /**
     * Constant defining an unknown virtual user type
     * @type {com.ibm.mashups.enabler.user.VirtualType}
     */
    UNKNOWN: "unknown"
});
com.ibm.mashups.enabler.user.VirtualType = new com.ibm.mashups.enabler.user.VirtualType();
