if(!dojo._hasResource["com.ibm.mm.builder.model.Factory"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.model.Factory"] = true;
dojo.provide("com.ibm.mm.builder.model.Factory");

dojo.require("com.ibm.mashups.builder.Model");
dojo.require("com.ibm.mm.builder.model.Runtimemodel");
dojo.require("com.ibm.mm.builder.model.ContextMenu");

/**
 * Implementation of builder factory model
 */
dojo.declare( "com.ibm.mm.builder.model.FactoryImpl", [com.ibm.mashups.builder.model.Factory], {
	
	builderRuntimeModel:null,
	contextMenuModel:null,
	
    getRuntimeModel: function() {
		if (!this.builderRuntimeModel){
			this.builderRuntimeModel = new com.ibm.mm.builder.model.RuntimeModelImpl();
		}
        return this.builderRuntimeModel;
    },
	
	getContextMenuModel: function() {
		if (!this.contextMenuModel){
			this.contextMenuModel = new com.ibm.mm.builder.model.ContextMenuImpl();
		}
        return this.contextMenuModel;
    }
});

//public factory
com.ibm.mashups.builder.model.Factory = new com.ibm.mm.builder.model.FactoryImpl();

}
