/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.ac.MemberModel");

dojo.require("com.ibm.mashups.enabler.ListModelController");
dojo.require("com.ibm.mashups.enabler.ac.MemberNode");
//<INTERFACE>
/**
 * Interface for an access control member model
 * @ibm-api
 * @ibm-module AccessControlModel
 */
dojo.declare("com.ibm.mashups.enabler.ac.MemberModel", [com.ibm.mashups.enabler.ListModelController], {
    /**
     * creates a new Member. The created member can be inserted into the model
     * using an appropriate <code>insert</code> method. The node will not appear
     * in the model unless it is inserted.
     * @param {JSON} context array of predefined information
     * used for the creation of the node. Never <code>null</code>. Accepted names are:<br>
     * &nbsp;&nbsp;&nbsp;&nbsp;<code>entity</code> - an Entity object
     * (mandatory)<br>
     * @type MemberNode
     * @return created member node
     */
    create: function(context){
    }
});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.ac.MemberModelImpl");
