/* Copyright IBM Corp. 2012  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.space.Factory");

dojo.require("com.ibm.mashups.enabler.model.SpaceModel");
dojo.require("com.ibm.mashups.enabler.model.SpaceExtensionModel");
//<INTERFACE>
/**
 * Space model factory.
 * 
 * Please note that the model factory creates only one instance of the model and
 * returns this instance every time the respective get-method is called.
 * 
 * @ibm-api
 * @ibm-module SpaceModel
 * 
 * @since 2.4
 */
dojo.declare("com.ibm.mashups.enabler.space.Factory", null, {
	/**
	 * Returns the space model.
	 *
	 * @return {com.ibm.mashups.enabler.model.SpaceModel} space model, never <code>null</code>
	 */
	getSpaceModel : function() {
	},

	/**
	 * Returns the space extension model.
	 *
	 * @return {com.ibm.mashups.enabler.model.SpaceExtensionModel} space extension model, never <code>null</code>
	 */
	getSpaceExtensionModel : function() {
	}
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.space.FactoryImpl");
